
:root {
    --clickable-text: #b14;
    --clickable-text-underline: #b148;
    --highlight-background: #fea;
    --highlight-background-clicked: #ed8;
    /*--color-back2: #edc;*/
    --clickable-text-on-background: #fea;
    --clickable-text-underline-on-background: #fea8;
    --page-background: #503c44;
    --site-header-background: #30242d;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    font-size: 5mm;
    color: #000c;
    background-color: var(--page-background);
}

a {
    color: var(--clickable-text);
    text-decoration: underline dotted var(--clickable-text-underline);
}

a.block-link {
    color: inherit;
    text-decoration: none;

    transition-duration: 100ms;
    display: block;
}

a.block-link:active {
    transform: scale(0.98);
}

h1, h2, h3, h4, h5, p {
    margin: 0;
    margin-bottom: 0.7em;
}

.field {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 0.8em;
    color: rgba(0, 0, 0, 0.65);
}

.field + input {
    display: block;
    margin-bottom: 2mm;
}
.field + input:last-child {
    margin-bottom: 3mm;
}

body > header h1 > a {
    color: inherit;
    text-decoration: none;
}

body > header {
    color: white;
    background-color: var(--site-header-background);
}
body > header a {
    color: var(--clickable-text-on-background);
    text-decoration-color: var(--clickable-text-underline-on-background);
}
body > header h1 {
    font-size: 1.75em;
    margin-bottom: 0;
}
body > header h2 {
    font-size: 1.5em;
    margin-bottom: 0;
}

#site-header, #page-header {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: center;
}

#site-header {
    padding: 1mm 5mm 1mm 5mm;
}

/* This is to really center the <h1>. */
#site-header > * {
    flex: 1;
}
#site-header h1 {
    text-align: center;
}
#site-header-right {
    text-align: right;
}


#page-header {
    border-top-left-radius: 3mm;
    border-top-right-radius: 3mm;
    min-height: 3mm;
    background-color: var(--page-background);
    padding: 1mm 5mm 1mm 5mm;
}

#page-header > h2.centered-page-title {
    flex: 1;
    text-align: center;
    margin: 3mm;
}

.box {
    margin: 3mm;
    padding: 4mm;
    border-radius: 3mm;
    background-color: white;
    box-shadow: 0 0.5mm 1mm #0003;
}

.box.single-box {
    margin: 0 auto 8mm auto;
    max-width: 20cm;
}

.box h2 {
    text-align: center;
}

.sub-box {
    background-color:#eee;
    padding: 3mm;
    border-radius: 3mm;
    margin-bottom: 4mm;
    border: solid 1px #ddd;
}

.box.no-bottom-padding, .sub-box.no-bottom-padding {
    padding-bottom: 0;
}

/* homepage */

#homepage_columns {
    margin: -3mm 3mm;
    display: flex;
    flex-flow: row-reverse;
    align-items: start;
}

.homepage_column {
    flex: 2;
}

#homepage_column_connection {
    flex: 1;
    position: sticky;
    top: 6mm;
}

@media (max-width: 850px) {
    #homepage_columns {
        flex-flow: column;
        align-items: center;
    }
    #homepage_column_connection {
        position: initial;
    }
}


/* Sign-up */

#signup_form_box, #connection-form-box {
    display: flex;
    flex-flow: column;
    align-items: center;
}

/* flash messages */

#flash_messages {
    margin: 0 6mm 6mm 6mm;
    padding: 0;
    border-radius: 3mm;
    overflow: hidden;
    list-style-position: inside;
}

#flash_messages li {
    padding:2mm 5mm;
    color: black;
    background-color: #fff6;
}

#flash_messages li:first-child {
    padding-top:3mm;
}

#flash_messages li:last-child {
    padding-bottom:3mm;
}

#flash_messages li.flash-warning {
    background-color: #ffc;
    color: #660e;
}

#flash_messages li.flash-error {
    background-color: #fcc;
    color: #c00e;
}

/* board list */

.board_summary {
    background-color: white;
    border: solid 1px #0003;
    border-radius: 2mm;
    box-shadow: 0 1pt 2pt #0003;
    padding: 3mm;
    padding-bottom: 0;
    margin-bottom: 3mm;
    color: black;
    transition-duration: 100ms;
}

a:last-child .board_summary {
    margin-bottom: 0;
}

.board_summary:active {
    background-color: var(--highlight-background);
}

/* tasks */

.task {
    border: solid 1px transparent;
    border-radius: 2mm;
    margin-bottom: 3mm;

    background-color: #ffc;

    padding: 2mm;
    padding-bottom: 0;
}

.task:target {
    box-shadow: 0 0 4mm rgb(64, 128, 255, 128);
}

.task .description {
    margin-bottom: 2mm;
}

.task .misc-info:not(:empty) {
    color: #0008;
    font-weight: bold;
    font-size: 0.8em;
    text-transform: uppercase;

    margin-bottom: 2mm;
    display: grid;

    grid-template-areas: "assigned due_date";
    justify-content: space-between;
}

.task .assigned-user, .task .due-date {
    display: flex;
    flex-flow: row;
}

.task .assigned-user {
    grid-area: assigned;
    word-break: break-all;
}

.task .due-date {
    grid-area: due_date;
}

.task-white {
    background-color: #fff;
    border-color: #bbb;
}
/* all of these colors have a AAA contrast ratio with #000c text */
.task-red { background-color: #ff918c; }
.task-orange { background-color: #ffc97c; }
.task-yellow { background-color: #fff36e; }
.task-green { background-color: #96f892; }
.task-blue { background-color: #86dbff; }
.task-purple { background-color: #de99f8; }
.task-pink { background-color: #ffafe2; }
.task-brown { background-color: #c8b29c; }
.task-grey { background-color: #ccc; }

.icon-user, .icon-date {
    display: inline-block;
    width: 16px;
    height: 16px;

    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    margin-right: 0.3em;

    opacity: 0.6;
}

.icon-user {
    background-image: url('../img/user.svg');
}

.icon-date {
    background-image: url('../img/date.svg');
}

/* account settings */
